Index: kernel/torisa.c
===================================================================
--- kernel/torisa.c	(revision 4583)
+++ kernel/torisa.c	(working copy)
@@ -603,6 +603,11 @@
 	if (debug)
 		printk("TorISA: Configuring span %d\n", span->spanno);
 
+	if ((lc->sync < 0) || (lc->sync >= 2)) {
+		printk(KERN_WARNING "%s %d: invalid span timing value %d.\n",
+				THIS_MODULE->name, span->spanno, lc->sync);
+		return -EINVAL;
+	}
 	span->syncsrc = syncsrc;
 	
 	/* remove this span number from the current sync sources, if there */
